package com.wd.workoffice.bean;

import java.util.List;

/**
 * author : flexible
 * email : lgd19940421@163.com
 * github: https://github.com/FlexibleXd
 **/
public class ApprovalBean {

    private List<RecordsBean> records;

    public List<RecordsBean> getRecords() {
        return records;
    }

    public void setRecords(List<RecordsBean> records) {
        this.records = records;
    }

    public static class RecordsBean {
        /**
         * createdBy : null
         * createdByName : null
         * createdTime : 2020-01-13 16:45:38
         * updatedBy : 111
         * updatedByName : null
         * updatedTime : 2020-01-17 17:18:43
         * id : 161
         * flowId : 6
         * flowCode : SO_INSTORE
         * orderType : SO
         * orderId : SO10628
         * targetId : null
         * linkSerialNumber : INI20011316453845
         * targetType : SO
         * status : 1
         * currentNodeCode : SO_INSTORE
         * sponsor : 680
         * flowName : 销售订单入库审批
         * statusList : null
         * statusFilter : null
         * statusName : 已通过
         */

        private Object createdBy;
        private Object createdByName;
        private String createdTime;
        private int updatedBy;
        private Object updatedByName;
        private String updatedTime;
        private int id;
        private int flowId;
        private String flowCode;
        private String orderType;
        private String orderId;
        private Object targetId;
        private String linkSerialNumber;
        private String targetType;
        private String status;
        private String currentNodeCode;
        private int sponsor;
        private String flowName;
        private Object statusList;
        private Object statusFilter;
        private String statusName;

        public Object getCreatedBy() {
            return createdBy;
        }

        public void setCreatedBy(Object createdBy) {
            this.createdBy = createdBy;
        }

        public Object getCreatedByName() {
            return createdByName;
        }

        public void setCreatedByName(Object createdByName) {
            this.createdByName = createdByName;
        }

        public String getCreatedTime() {
            return createdTime;
        }

        public void setCreatedTime(String createdTime) {
            this.createdTime = createdTime;
        }

        public int getUpdatedBy() {
            return updatedBy;
        }

        public void setUpdatedBy(int updatedBy) {
            this.updatedBy = updatedBy;
        }

        public Object getUpdatedByName() {
            return updatedByName;
        }

        public void setUpdatedByName(Object updatedByName) {
            this.updatedByName = updatedByName;
        }

        public String getUpdatedTime() {
            return updatedTime;
        }

        public void setUpdatedTime(String updatedTime) {
            this.updatedTime = updatedTime;
        }

        public int getId() {
            return id;
        }

        public void setId(int id) {
            this.id = id;
        }

        public int getFlowId() {
            return flowId;
        }

        public void setFlowId(int flowId) {
            this.flowId = flowId;
        }

        public String getFlowCode() {
            return flowCode;
        }

        public void setFlowCode(String flowCode) {
            this.flowCode = flowCode;
        }

        public String getOrderType() {
            return orderType;
        }

        public void setOrderType(String orderType) {
            this.orderType = orderType;
        }

        public String getOrderId() {
            return orderId;
        }

        public void setOrderId(String orderId) {
            this.orderId = orderId;
        }

        public Object getTargetId() {
            return targetId;
        }

        public void setTargetId(Object targetId) {
            this.targetId = targetId;
        }

        public String getLinkSerialNumber() {
            return linkSerialNumber;
        }

        public void setLinkSerialNumber(String linkSerialNumber) {
            this.linkSerialNumber = linkSerialNumber;
        }

        public String getTargetType() {
            return targetType;
        }

        public void setTargetType(String targetType) {
            this.targetType = targetType;
        }

        public String getStatus() {
            return status;
        }

        public void setStatus(String status) {
            this.status = status;
        }

        public String getCurrentNodeCode() {
            return currentNodeCode;
        }

        public void setCurrentNodeCode(String currentNodeCode) {
            this.currentNodeCode = currentNodeCode;
        }

        public int getSponsor() {
            return sponsor;
        }

        public void setSponsor(int sponsor) {
            this.sponsor = sponsor;
        }

        public String getFlowName() {
            return flowName;
        }

        public void setFlowName(String flowName) {
            this.flowName = flowName;
        }

        public Object getStatusList() {
            return statusList;
        }

        public void setStatusList(Object statusList) {
            this.statusList = statusList;
        }

        public Object getStatusFilter() {
            return statusFilter;
        }

        public void setStatusFilter(Object statusFilter) {
            this.statusFilter = statusFilter;
        }

        public String getStatusName() {
            return statusName;
        }

        public void setStatusName(String statusName) {
            this.statusName = statusName;
        }
    }
}
